#if !defined( _JVizYlocObj_h )
#define _JVizYlocObj_h
#include "JAddObj.h"
#include "JCriticalSection.h"





class 
#if defined(_EXTERNAL_DLL)
  DllExport
#else
  DllImport 
#endif
JVizYlocObj : public JAddObj {
  protected:
  public:
    enum {
      NAME,
      XLOCATION };

    virtual const char* className() const;
    virtual JObject* clone() const;
    JVizYlocObj();
    virtual void draw(JGraphics g, int x, int y, int w, int h);
    virtual boolean inputAllowed(int n);
    virtual JString inputTag(int n);
    virtual JString outputTag(int n);
    virtual JFRect inputArea(int n);
    virtual JFRect outputArea(int n);
    virtual int inputFace(int n);
    virtual int outputFace(int n);
    virtual JFPoint inputPoint(int n, JLinkObj& link);
    virtual JFPoint outputPoint(int n, JLinkObj& link);
    virtual void engine(int n, JLinkObj& link);
    virtual int inputType( int n );
    virtual int outputType( int n );
    virtual void access(int n, JLinkObj& link, const JDataType& data);
  private:

    // inputs
    JString name;
    int yLocation;

    // outputs
    JString result;
};


#endif
